Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 5947)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 6044)
@@ -1249,63 +1409,63 @@
             return bytes + ' B';
         },*/
-        formatPercentage = function (floatValue) {
-            return (floatValue * 100).toFixed(2) + ' %';
-        },
-        updateProgressElement = function (loaded, total, bps) {
-            progressElement.html(
-                formatBytes(bps) + 'ps | ' +
-                    formatTime((total - loaded) / bps) + ' | ' +
-                    formatPercentage(loaded / total) + ' | ' +
-                    formatBytes(loaded) + ' / ' + formatBytes(total)
-            );
-        },
-        intervalHandler = function () {
-            var diff = loaded - loadedBefore;
-            if (!diff) {
-                return;
-            }
-            loadedBefore = loaded;
-            updateProgressElement(
-                loaded,
-                total,
-                diff * (1000 / interval)
-            );
-        };
-		widget
-			.bind('fileuploadprogressall', progressHandler)
-			.bind('fileuploadstop', stopHandler);
-		progressTimer = window.setInterval(intervalHandler, interval);
-	});
-	
-	if(objEvent.isShared){
-		
-		var acls = Calendar.signatureOf[objEvent.calendar].permission.acl;
-		
-		if(!acls.write){
-			UI.dialogs.addEvent.find(':input').attr('disabled', 'disabled');
-			UI.dialogs.addEvent.find('.button').hide();
-		}
-		
-		if(acls.remove)
-			UI.dialogs.addEvent.find('.button.remove').show();
-		
-		UI.dialogs.addEvent.find('.button.cancel').show();
-		
-	
-	}
-
-	disponibily(objEvent, path, attendees);
+    formatPercentage = function (floatValue) {
+	return (floatValue * 100).toFixed(2) + ' %';
+    },
+    updateProgressElement = function (loaded, total, bps) {
+	progressElement.html(
+	    formatBytes(bps) + 'ps | ' +
+	    formatTime((total - loaded) / bps) + ' | ' +
+	    formatPercentage(loaded / total) + ' | ' +
+	    formatBytes(loaded) + ' / ' + formatBytes(total)
+	    );
+    },
+    intervalHandler = function () {
+	var diff = loaded - loadedBefore;
+	if (!diff) {
+	    return;
+	}
+	loadedBefore = loaded;
+	updateProgressElement(
+	    loaded,
+	    total,
+	    diff * (1000 / interval)
+	    );
+    };
+    widget
+    .bind('fileuploadprogressall', progressHandler)
+    .bind('fileuploadstop', stopHandler);
+    progressTimer = window.setInterval(intervalHandler, interval);
+});
+	
+if(objEvent.isShared){
+		
+    var acls = Calendar.signatureOf[objEvent.calendar].permission.acl;
+		
+    if(!acls.write){
+	UI.dialogs.addEvent.find(':input').attr('disabled', 'disabled');
+	UI.dialogs.addEvent.find('.button').hide();
+    }
+		
+    if(acls.remove)
+	UI.dialogs.addEvent.find('.button.remove').show();
+		
+    UI.dialogs.addEvent.find('.button.cancel').show();
+		
+	
+}
+
+disponibily(objEvent, path, attendees);
 	 
-	UI.dialogs.addEvent.find(':input').change(function(event){
-		if (event.keyCode != '27' && event.keyCode != '13')
-			canDiscardEventDialog = false;
-	}).keydown(function(event){
-		if (event.keyCode != '27' && event.keyCode != '13')
-			canDiscardEventDialog = false;
-	});	
-
-	UI.dialogs.addEvent.dialog('open');
-	//$('[href="#calendar_addevent_details7"]').trigger('click');
-	//$('[href="#calendar_addevent_details2"]').trigger('click');
+UI.dialogs.addEvent.find(':input').change(function(event){
+    if (event.keyCode != '27' && event.keyCode != '13')
+	canDiscardEventDialog = false;
+}).keydown(function(event){
+    if (event.keyCode != '27' && event.keyCode != '13')
+	canDiscardEventDialog = false;
+});	
+
+UI.dialogs.addEvent.dialog('open');
+//$('[href="#calendar_addevent_details7"]').trigger('click');
+//$('[href="#calendar_addevent_details2"]').trigger('click');
 }
 
@@ -1314,108 +1474,111 @@
 function add_tab_preferences() 
 {
-	if(!(document.getElementById('preference_tab')))
-	{
-		var tab_title = "Preferencias";
-		$tabs.tabs( "add", "#preference_tab", tab_title );
-		
-		/*
+    if(!(document.getElementById('preference_tab')))
+    {
+	var tab_title = "Preferencias";
+	$tabs.tabs( "add", "#preference_tab", tab_title );
+		
+	/*
 		DataLayer.render( 'templates/timezone_list.ejs', {}, function( timezones_options ){
 			tabPrefCalendar.find('select[name="timezone"]').html(timezones_options).find('option[value="'+User.preferences.timezone+'"]').attr('selected','selected').trigger('change');
 		});
 		*/
-		DataLayer.render( 'templates/preferences_calendar.ejs', {preferences:User.preferences, calendars: Calendar.calendars}, function( template ){
-		var tabPrefCalendar = jQuery('#preference_tab').html( template ).find('.preferences-win');
-		
-		tabPrefCalendar.find('option[value="'+User.preferences.defaultCalendar+'"]').attr('selected','selected').trigger('change');
-		
-		DataLayer.render( 'templates/timezone_list.ejs', {}, function( timezones_options ){
-			tabPrefCalendar.find('select[name="timezone"]').html(timezones_options).find('option[value="'+User.preferences.timezone+'"]').attr('selected','selected').trigger('change');
+	DataLayer.render( 'templates/preferences_calendar.ejs', {
+	    preferences:User.preferences, 
+	    calendars: Calendar.calendars
+	    }, function( template ){
+	    var tabPrefCalendar = jQuery('#preference_tab').html( template ).find('.preferences-win');
+		
+	    tabPrefCalendar.find('option[value="'+User.preferences.defaultCalendar+'"]').attr('selected','selected').trigger('change');
+		
+	    DataLayer.render( 'templates/timezone_list.ejs', {}, function( timezones_options ){
+		tabPrefCalendar.find('select[name="timezone"]').html(timezones_options).find('option[value="'+User.preferences.timezone+'"]').attr('selected','selected').trigger('change');
+	    });
+		
+	    tabPrefCalendar.find('.button').button()
+	    .filter('.save').click(function(evt){
+		tabPrefCalendar.find('form').submit();
+		$('#calendar').fullCalendar('render');
+		$('.block-vertical-toolbox .mini-calendar').datepicker( "refresh" );
+		$tabs.tabs( "remove", "#preference_tab");
+	    }).end().filter('.cancel').click(function(evt){
+		$tabs.tabs( "remove", "#preference_tab");
+	    });
+			
+	    tabPrefCalendar.find('.number').numeric();
+			
+	    tabPrefCalendar.find('input.time').timepicker({ 
+		closeText: 'Ok',
+		hourGrid: 4,
+		minuteGrid: 10,
+		ampm : (parseInt($("select[name=hourFormat] option:selected").val().length) > 5 ? true : false), //((User.preferences.hourFormat.length > 5) ? true: false),
+		timeFormat: "hh:mm tt",
+		onSelect: function (selectedDateTime){
+		    if(!(User.preferences.hourFormat.length == 5)) {
+			$(this).val(selectedDateTime.replace(/[\.]/gi, ""));
+		    }
+		},
+		onClose : function (selectedDateTime){
+		    if(!(User.preferences.hourFormat.length == 5)) {
+			$(this).val(selectedDateTime.replace(/[\.]/gi, ""));
+		    }
+		}
+	    });
+			
+	    $.mask.definitions['{']='[ap]';
+	    $.mask.definitions['}']='[m]';
+	    tabPrefCalendar.find("input.time").mask( ((User.preferences.hourFormat.length > 5) ? "99:99 {}" : "99:99"), {
+		completed:function(){
+		    $(this).val(dateCalendar.defaultToAmPm($(this).val()));
+		    $(this).timepicker("refresh");
+		    $(this).val($(this).val().replace(/[\.]/gi, ""));					
+		}
+	    });
+			                                   
+	    tabPrefCalendar.find("select[name=hourFormat]").change( function() { // evento ao selecionar formato de hora
+         	
+		tabPrefCalendar.find("input.time").timepicker("destroy");
+
+		tabPrefCalendar.find('input.time').timepicker({ 
+		    closeText: 'Ok',
+		    hourGrid: 4,
+		    minuteGrid: 10,
+		    ampm : (parseInt($("select[name=hourFormat] option:selected").val().length) > 5 ? true : false),
+		    timeFormat: "hh:mm tt",
+		    onSelect: function (selectedDateTime){
+			if(!(User.preferences.hourFormat.length == 5)) {
+			    $(this).val(selectedDateTime.replace(/[\.]/gi, ""));
+			}							
+		    },
+		    onClose : function (selectedDateTime){
+			if(!(User.preferences.hourFormat.length == 5)) {
+			    $(this).val(selectedDateTime.replace(/[\.]/gi, ""));
+			}
+		    }
 		});
-		
-			tabPrefCalendar.find('.button').button()
-			.filter('.save').click(function(evt){
-				tabPrefCalendar.find('form').submit();
-				$('#calendar').fullCalendar('render');
-				$('.block-vertical-toolbox .mini-calendar').datepicker( "refresh" );
-				$tabs.tabs( "remove", "#preference_tab");
-			}).end().filter('.cancel').click(function(evt){
-				$tabs.tabs( "remove", "#preference_tab");
-			});
-			
-			tabPrefCalendar.find('.number').numeric();
-			
-			tabPrefCalendar.find('input.time').timepicker({ 
-				closeText: 'Ok',
-				hourGrid: 4,
-				minuteGrid: 10,
-				ampm : (parseInt($("select[name=hourFormat] option:selected").val().length) > 5 ? true : false), //((User.preferences.hourFormat.length > 5) ? true: false),
-				timeFormat: "hh:mm tt",
-				onSelect: function (selectedDateTime){
-					if(!(User.preferences.hourFormat.length == 5)) {
-						$(this).val(selectedDateTime.replace(/[\.]/gi, ""));
-					}
-				},
-				onClose : function (selectedDateTime){
-					if(!(User.preferences.hourFormat.length == 5)) {
-						$(this).val(selectedDateTime.replace(/[\.]/gi, ""));
-					}
-				}
-			});
-			
-			$.mask.definitions['{']='[ap]';
-			$.mask.definitions['}']='[m]';
-			tabPrefCalendar.find("input.time").mask( ((User.preferences.hourFormat.length > 5) ? "99:99 {}" : "99:99"), {
-                completed:function(){
-					$(this).val(dateCalendar.defaultToAmPm($(this).val()));
-					$(this).timepicker("refresh");
-					$(this).val($(this).val().replace(/[\.]/gi, ""));					
-				}
-			});
-			                                   
-         	tabPrefCalendar.find("select[name=hourFormat]").change( function() { // evento ao selecionar formato de hora
-         	
-				tabPrefCalendar.find("input.time").timepicker("destroy");
-
-                tabPrefCalendar.find('input.time').timepicker({ 
-					closeText: 'Ok',
-					hourGrid: 4,
-					minuteGrid: 10,
-					ampm : (parseInt($("select[name=hourFormat] option:selected").val().length) > 5 ? true : false),
-					timeFormat: "hh:mm tt",
-					onSelect: function (selectedDateTime){
-						if(!(User.preferences.hourFormat.length == 5)) {
-							$(this).val(selectedDateTime.replace(/[\.]/gi, ""));
-						}							
-					},
-					onClose : function (selectedDateTime){
-						if(!(User.preferences.hourFormat.length == 5)) {
-							$(this).val(selectedDateTime.replace(/[\.]/gi, ""));
-						}
-					}
-                });
                              	
-              	var defaultStartHour = tabPrefCalendar.find("input[name=defaultStartHour]").val().trim();
-              	var defaultEndHour = tabPrefCalendar.find("input[name=defaultEndHour]").val().trim();
+		var defaultStartHour = tabPrefCalendar.find("input[name=defaultStartHour]").val().trim();
+		var defaultEndHour = tabPrefCalendar.find("input[name=defaultEndHour]").val().trim();
               	
-				tabPrefCalendar.find("input.time").mask( (($("select[name=hourFormat] option:selected").val().trim().length > 5) ? "99:99 {}" : "99:99") );
+		tabPrefCalendar.find("input.time").mask( (($("select[name=hourFormat] option:selected").val().trim().length > 5) ? "99:99 {}" : "99:99") );
                 
-                	if (parseInt($("select[name=hourFormat] option:selected").val().length) > 5) { // am/pm
-						tabPrefCalendar.find("input[name=defaultStartHour]").val(dateCalendar.defaultToAmPm(defaultStartHour));
-						tabPrefCalendar.find("input[name=defaultEndHour]").val(dateCalendar.defaultToAmPm(defaultEndHour))
+		if (parseInt($("select[name=hourFormat] option:selected").val().length) > 5) { // am/pm
+		    tabPrefCalendar.find("input[name=defaultStartHour]").val(dateCalendar.defaultToAmPm(defaultStartHour));
+		    tabPrefCalendar.find("input[name=defaultEndHour]").val(dateCalendar.defaultToAmPm(defaultEndHour))
 					
-					} else { //24h
-						tabPrefCalendar.find("input[name=defaultStartHour]").val(dateCalendar.AmPmTo24(defaultStartHour));
-						tabPrefCalendar.find("input[name=defaultEndHour]").val(dateCalendar.AmPmTo24(defaultEndHour));
-					}
-			});			
+		} else { //24h
+		    tabPrefCalendar.find("input[name=defaultStartHour]").val(dateCalendar.AmPmTo24(defaultStartHour));
+		    tabPrefCalendar.find("input[name=defaultEndHour]").val(dateCalendar.AmPmTo24(defaultEndHour));
+		}
+	    });			
                         
                         
 			
-		});		
-	} else {
-		$tabs.tabs("select", "#preference_tab");
-		
-		return true;
-	}
+	});		
+    } else {
+	$tabs.tabs("select", "#preference_tab");
+		
+	return true;
+    }
 }
 
@@ -1423,210 +1586,228 @@
 function add_tab_configure_calendar(calendar) 
 {
-	var calendars = [];
-	var signatures = [];
-	var previewActiveCalendarConf = 0;
-
-	for (var i=0; i<Calendar.signatures.length; i++) {
-		calendars[i]  = Calendar.signatures[i].calendar;
-		signatures[i] = Calendar.signatures[i];
-		signatures[i].numberDefaultAlarm = signatures[i].defaultAlarms != '' ?  signatures[i].defaultAlarms.length: 0;
-		if (calendar && calendars[i].id == calendar)
-			previewActiveCalendarConf = i;
-	}
-		
-	if(!(document.getElementById('configure_tab')))
-	{
-		$('.positionHelper').css('display', 'none');
-		var tab_title = "Configurações de agendas";
-		$tabs.tabs( "add", "#configure_tab", tab_title );
-		
-		var dataColorPicker = {
-			colorsSuggestions: colors_suggestions()
-		};
-		
-		
-		
-		var populateAccordionOnActive = function(event, ui) {
-			var nowActive = (typeof(event) == 'number') ? event : $(event.target).accordion( "option", "active" );
-			dataColorPicker.colorsDefined = {
-				border: '#'+signatures[nowActive].borderColor, 
-				font:'#'+signatures[nowActive].fontColor, 
-				background:'#'+signatures[nowActive].backgroundColor
-			};
-			if (!jQuery('.accordion-user-calendars .ui-accordion-content').eq(nowActive).has('form')) {
-				return true;
-			}
-
-			DataLayer.render( 'templates/configure_calendars_itemlist.ejs', {user:User, calendar:calendars[nowActive], signature:signatures[nowActive]}, function( form_template ){
-				var form_content = jQuery('.accordion-user-calendars .ui-accordion-content').eq(nowActive).html( form_template ).find('form');
-				form_content.find('.preferences-alarms-list .button').button({text:false, icons:{primary:'ui-icon-close'}});
-				form_content.find('.button').button();
+    var calendars = [];
+    var signatures = [];
+    var previewActiveCalendarConf = 0;
+
+    for (var i=0; i<Calendar.signatures.length; i++) {
+	calendars[i]  = Calendar.signatures[i].calendar;
+	signatures[i] = Calendar.signatures[i];
+	signatures[i].numberDefaultAlarm = signatures[i].defaultAlarms != '' ?  signatures[i].defaultAlarms.length: 0;
+	if (calendar && calendars[i].id == calendar)
+	    previewActiveCalendarConf = i;
+    }
+		
+    if(!(document.getElementById('configure_tab')))
+    {
+	$('.positionHelper').css('display', 'none');
+	var tab_title = "Configurações de agendas";
+	$tabs.tabs( "add", "#configure_tab", tab_title );
+		
+	var dataColorPicker = {
+	    colorsSuggestions: colors_suggestions()
+	};
+		
+		
+		
+	var populateAccordionOnActive = function(event, ui) {
+	    var nowActive = (typeof(event) == 'number') ? event : $(event.target).accordion( "option", "active" );
+	    dataColorPicker.colorsDefined = {
+		border: '#'+signatures[nowActive].borderColor, 
+		font:'#'+signatures[nowActive].fontColor, 
+		background:'#'+signatures[nowActive].backgroundColor
+	    };
+	    if (!jQuery('.accordion-user-calendars .ui-accordion-content').eq(nowActive).has('form')) {
+		return true;
+	    }
+
+	    DataLayer.render( 'templates/configure_calendars_itemlist.ejs', {
+		user:User, 
+		calendar:calendars[nowActive], 
+		signature:signatures[nowActive]
+		}, function( form_template ){
+		var form_content = jQuery('.accordion-user-calendars .ui-accordion-content').eq(nowActive).html( form_template ).find('form');
+		form_content.find('.preferences-alarms-list .button').button({
+		    text:false, 
+		    icons:{
+			primary:'ui-icon-close'
+		    }
+		});
+	    form_content.find('.button').button();
 				
-				DataLayer.render( 'templates/timezone_list.ejs', {}, function( timezones_options ){
-					var valueTimeZone = calendars[nowActive].timezone;
-					form_content.find('select[name="timezone"]').html(timezones_options).find('option[value="'+valueTimeZone+'"]').attr('selected','selected').trigger('change');
-				});
-
-				form_content.find('.button-add-alarms').click(function(){
-					DataLayer.render( 'templates/alarms_add_itemlist.ejs', {}, function( template ){						
-						jQuery('.preferences-alarms-list').append(template)
-						.find('li:last label:eq(0)').remove().end()
-						.find('.number').numeric().end()
-						.find('.button.remove').button({text:false, icons:{primary:'ui-icon-close'}}).click(function(el) {
-							$(this).parent().remove();
-						});    
-					});
-				});
-
-
-				/**
+		DataLayer.render( 'templates/timezone_list.ejs', {}, function( timezones_options ){
+		    var valueTimeZone = calendars[nowActive].timezone;
+		    form_content.find('select[name="timezone"]').html(timezones_options).find('option[value="'+valueTimeZone+'"]').attr('selected','selected').trigger('change');
+		});
+
+		form_content.find('.button-add-alarms').click(function(){
+		    DataLayer.render( 'templates/alarms_add_itemlist.ejs', {}, function( template ){						
+			jQuery('.preferences-alarms-list').append(template)
+			.find('li:last label:eq(0)').remove().end()
+			.find('.number').numeric().end()
+			.find('.button.remove').button({
+			    text:false, 
+			    icons:{
+				primary:'ui-icon-close'
+			    }
+			}).click(function(el) {
+			$(this).parent().remove();
+		    });    
+		    });
+		});
+
+
+	    /**
 				 * Set color picker
 				 */
-				DataLayer.render( 'templates/calendar_colorpicker.ejs', dataColorPicker, function( template ){
-					form_content.find('.calendar-colorpicker').html( template );
-
-					var f = $.farbtastic(form_content.find('.colorpicker'), colorpickerPreviewChange);
-					var selected;
-					var colorpicker = form_content.find('.calendar-colorpicker');
+	    DataLayer.render( 'templates/calendar_colorpicker.ejs', dataColorPicker, function( template ){
+		form_content.find('.calendar-colorpicker').html( template );
+
+		var f = $.farbtastic(form_content.find('.colorpicker'), colorpickerPreviewChange);
+		var selected;
+		var colorpicker = form_content.find('.calendar-colorpicker');
 					
-					var colorpickerPreviewChange = function(color) {
-						var pickedup = form_content.find('.colorwell-selected').val(color).css('background-color', color);
-
-						var colorpicker = form_content.find('.calendar-colorpicker');
-
-						if (pickedup.is('input[name="backgroundColor"]')) {
-							colorpicker.find('.fc-event-skin').css('background-color',color);
-						} else if (pickedup.is('input[name="fontColor"]')) {
-							colorpicker.find('.fc-event-skin').css('color',color);
-						} else if (pickedup.is('input[name="borderColor"]')) {
-							colorpicker.find('.fc-event-skin').css('border-color',color);
-						}
-					} 
+		var colorpickerPreviewChange = function(color) {
+		    var pickedup = form_content.find('.colorwell-selected').val(color).css('background-color', color);
+
+		    var colorpicker = form_content.find('.calendar-colorpicker');
+
+		    if (pickedup.is('input[name="backgroundColor"]')) {
+			colorpicker.find('.fc-event-skin').css('background-color',color);
+		    } else if (pickedup.is('input[name="fontColor"]')) {
+			colorpicker.find('.fc-event-skin').css('color',color);
+		    } else if (pickedup.is('input[name="borderColor"]')) {
+			colorpicker.find('.fc-event-skin').css('border-color',color);
+		    }
+		} 
 					
-					form_content.find('.colorwell').each(function () {
-						f.linkTo(this);
-
-						if ($(this).is('input[name="backgroundColor"]')) {
-							colorpicker.find('.fc-event-skin').css('background-color', $(this).val());
-						} else if ($(this).is('input[name="fontColor"]')) {
-							colorpicker.find('.fc-event-skin').css('color', $(this).val());
-						} else if ($(this).is('input[name="borderColor"]')) {
-							colorpicker.find('.fc-event-skin').css('border-color', $(this).val());
-						}
-					})
-					.focus(function() {
-						if (selected) {
-							$(selected).removeClass('colorwell-selected');
-						}
-
-						$(selected = this).addClass('colorwell-selected');
-						f.linkTo(this, colorpickerPreviewChange);
-						f.linkTo(colorpickerPreviewChange);
-
-					});
-
-					form_content.find('select.color-suggestions').change(function() {
-						var colors;
-
-						if(colors = dataColorPicker.colorsSuggestions[$(this).val()]) {	
-							colorpicker
-							.find('input[name="fontColor"]').val(colors.font).focus().end()	
-							.find('input[name="backgroundColor"]').val(colors.background).focus().end()
-							.find('input[name="borderColor"]').val(colors.border).focus().end()
-
-							.find('.fc-event-skin').css({
-								'background-color':dataColorPicker.colorsSuggestions[$(this).val()].background,
-								'border-color':dataColorPicker.colorsSuggestions[$(this).val()].border,
-								'color':dataColorPicker.colorsSuggestions[$(this).val()].font 
-							});
-						}
-					});
-
-					/**
+		form_content.find('.colorwell').each(function () {
+		    f.linkTo(this);
+
+		    if ($(this).is('input[name="backgroundColor"]')) {
+			colorpicker.find('.fc-event-skin').css('background-color', $(this).val());
+		    } else if ($(this).is('input[name="fontColor"]')) {
+			colorpicker.find('.fc-event-skin').css('color', $(this).val());
+		    } else if ($(this).is('input[name="borderColor"]')) {
+			colorpicker.find('.fc-event-skin').css('border-color', $(this).val());
+		    }
+		})
+		.focus(function() {
+		    if (selected) {
+			$(selected).removeClass('colorwell-selected');
+		    }
+
+		    $(selected = this).addClass('colorwell-selected');
+		    f.linkTo(this, colorpickerPreviewChange);
+		    f.linkTo(colorpickerPreviewChange);
+
+		});
+
+		form_content.find('select.color-suggestions').change(function() {
+		    var colors;
+
+		    if(colors = dataColorPicker.colorsSuggestions[$(this).val()]) {	
+			colorpicker
+			.find('input[name="fontColor"]').val(colors.font).focus().end()	
+			.find('input[name="backgroundColor"]').val(colors.background).focus().end()
+			.find('input[name="borderColor"]').val(colors.border).focus().end()
+
+			.find('.fc-event-skin').css({
+			    'background-color':dataColorPicker.colorsSuggestions[$(this).val()].background,
+			    'border-color':dataColorPicker.colorsSuggestions[$(this).val()].border,
+			    'color':dataColorPicker.colorsSuggestions[$(this).val()].font 
+			});
+		    }
+		});
+
+		/**
 					 * Trata a mudança dos valores dos campos de cores.
 					 * Se mudar um conjunto de cores sugerido,
 					 * este vira um conjunto de cores personalizado.
 					 */
-					form_content.find('.colorwell').change(function (element, ui) {
-						if (true) {
-							form_content.find('select.color-suggestions')
-							.find('option:selected').removeAttr('selected').end()
-							.find('option[value="custom"]').attr('selected', 'selected').trigger('change');
-						}
-					});
-				});	//END set colorpicker
-
-				form_content.find('.phone').mask("+99 (99) 9999-9999");
-				form_content.find('.number').numeric();
-
-			}); //END DataLayer.render( 'templates/configure_calendars_itemlist.ejs' ...
-
-			// === validations preferences ==== 
-
-			
-		} //END populateAccordionOnActive(event, ui)
-		
-
-		DataLayer.render( 'templates/configure_calendars.ejs', {user:User, calendars:calendars, signatures:signatures}, function( template ){
-			var template_content = jQuery('#configure_tab').html( template ).find('.configure-calendars-win');
-			template_content.find('.button').button().filter('.save').click(function(evt){
-				template_content.find('form').submit();
-				$tabs.tabs( "remove", "#configure_tab");
-				DataLayer.commit( false, false, function( received ){
-					delete Calendar.currentViewKey;
-					Calendar.load();
-					refresh_calendars();
-				});
-			}).end().filter('.cancel').click(function(evt){
-				$tabs.tabs( "remove", "#configure_tab");
-			});
-
-			/**
+		form_content.find('.colorwell').change(function (element, ui) {
+		    if (true) {
+			form_content.find('select.color-suggestions')
+			.find('option:selected').removeAttr('selected').end()
+			.find('option[value="custom"]').attr('selected', 'selected').trigger('change');
+		    }
+		});
+	    });	//END set colorpicker
+
+	    form_content.find('.phone').mask("+99 (99) 9999-9999");
+	    form_content.find('.number').numeric();
+
+	}); //END DataLayer.render( 'templates/configure_calendars_itemlist.ejs' ...
+
+// === validations preferences ==== 
+
+			
+} //END populateAccordionOnActive(event, ui)
+		
+
+DataLayer.render( 'templates/configure_calendars.ejs', {
+    user:User, 
+    calendars:calendars, 
+    signatures:signatures
+}, function( template ){
+    var template_content = jQuery('#configure_tab').html( template ).find('.configure-calendars-win');
+    template_content.find('.button').button().filter('.save').click(function(evt){
+	template_content.find('form').submit();
+	$tabs.tabs( "remove", "#configure_tab");
+	DataLayer.commit( false, false, function( received ){
+	    delete Calendar.currentViewKey;
+	    Calendar.load();
+	    refresh_calendars();
+	});
+    }).end().filter('.cancel').click(function(evt){
+	$tabs.tabs( "remove", "#configure_tab");
+    });
+
+    /**
 			 * Muda a estrutura do template para a aplicação do plugin accordion
 			 */
-			template_content.find('.header-menu-container').after('<div class="accordion-user-calendars"></div>').end().find('.accordion-user-calendars')
-			.append(template_content.children('fieldset'));
-			
-			template_content.find('.accordion-user-calendars').children('fieldset').each(function(index) {
-				$(this).before($('<h3></h3>').html($(this).children('legend')));
-			});
-			
-			template_content.find('.accordion-user-calendars').accordion({ 
-				autoHeight: false, 
-				collapsible: true, 
-				clearStyle: true,
-				active: previewActiveCalendarConf, 
-				changestart: populateAccordionOnActive 
-			});
-			populateAccordionOnActive(previewActiveCalendarConf);
-		});
-
-	} else {
-
-		$tabs.tabs("select", "#configure_tab");
-		$('.accordion-user-calendars').accordion( "activate" , previewActiveCalendarConf );
-		
-		return true;
-	}
+    template_content.find('.header-menu-container').after('<div class="accordion-user-calendars"></div>').end().find('.accordion-user-calendars')
+    .append(template_content.children('fieldset'));
+			
+    template_content.find('.accordion-user-calendars').children('fieldset').each(function(index) {
+	$(this).before($('<h3></h3>').html($(this).children('legend')));
+    });
+			
+    template_content.find('.accordion-user-calendars').accordion({ 
+	autoHeight: false, 
+	collapsible: true, 
+	clearStyle: true,
+	active: previewActiveCalendarConf, 
+	changestart: populateAccordionOnActive 
+    });
+    populateAccordionOnActive(previewActiveCalendarConf);
+});
+
+} else {
+
+    $tabs.tabs("select", "#configure_tab");
+    $('.accordion-user-calendars').accordion( "activate" , previewActiveCalendarConf );
+		
+    return true;
+}
 
 }
 
 function getSelectedCalendars( reverse ){
-	var selecteds = {};
-	var cont = 0; 
-	jQuery(function() {
- 	    jQuery(".my-calendars .calendar-view").each(function(i, obj) { 
-		var check_box = obj;
-			if( reverse ? !check_box.checked : check_box.checked ) {
-				selecteds[cont] = obj.value;
-				cont++;
-			};
- 	    });               
-	});
-	if (!cont)
-		return false;
-	
-	selecteds.length = cont;
-	return $.makeArray( selecteds );
+    var selecteds = {};
+    var cont = 0; 
+    jQuery(function() {
+	jQuery(".my-calendars .calendar-view").each(function(i, obj) { 
+	    var check_box = obj;
+	    if( reverse ? !check_box.checked : check_box.checked ) {
+		selecteds[cont] = obj.value;
+		cont++;
+	    };
+	});               
+    });
+    if (!cont)
+	return false;
+	
+    selecteds.length = cont;
+    return $.makeArray( selecteds );
 }
 
@@ -1635,25 +1816,54 @@
  */
 function colors_suggestions(){
-	return [
-				{name:'Padrão', border:'#3366cc', font:'#ffffff', background:'#3366cc'},
-				{name:'Coala', border:'#123456', font:'#ffffff', background:'#385c80'},
-				{name:'Tomate', border:'#d5130b', font:'#111111', background:'#e36d76'},
-				{name:'Limão', border:'#32ed21', font:'#1f3f1c', background:'#b2f1ac'},
-				{name:'Alto contraste', border:'#000000', font:'#ffffff', background:'#222222'}
-			]		
+    return [
+    {
+	name:'Padrão', 
+	border:'#3366cc', 
+	font:'#ffffff', 
+	background:'#3366cc'
+    },
+
+    {
+	name:'Coala', 
+	border:'#123456', 
+	font:'#ffffff', 
+	background:'#385c80'
+    },
+
+    {
+	name:'Tomate', 
+	border:'#d5130b', 
+	font:'#111111', 
+	background:'#e36d76'
+    },
+
+    {
+	name:'Limão', 
+	border:'#32ed21', 
+	font:'#1f3f1c', 
+	background:'#b2f1ac'
+    },
+
+    {
+	name:'Alto contraste', 
+	border:'#000000', 
+	font:'#ffffff', 
+	background:'#222222'
+    }
+    ]		
 }
 
 function remove_event(eventId){
-	$.Zebra_Dialog('Tem certeza que deseja excluir o evento?', {
-		'type':     'question',
-		'overlay_opacity': '0.5',
-		'buttons':  ['Sim', 'Não'],
-		'onClose':  function(clicked) {
-			if(clicked == 'Sim'){
-				DataLayer.remove('schedulable', ''+eventId);
-				DataLayer.commit();
-			}
-		}
-	});	
+    $.Zebra_Dialog('Tem certeza que deseja excluir o evento?', {
+	'type':     'question',
+	'overlay_opacity': '0.5',
+	'buttons':  ['Sim', 'Não'],
+	'onClose':  function(clicked) {
+	    if(clicked == 'Sim'){
+		DataLayer.remove('schedulable', ''+eventId);
+		DataLayer.commit();
+	    }
+	}
+    });	
 }
 
@@ -1661,5 +1871,7 @@
     
     var schedulable = DataLayer.get('schedulable', ''+eventID);
-    var edit = {repeat: (DataLayer.get('repeat', schedulable.repeat))};                                   
+    var edit = {
+	repeat: (DataLayer.get('repeat', schedulable.repeat))
+	};                                   
 
     edit.repeat.startTime = new Date(parseInt(edit.repeat.startTime)).toString('yyyy-MM-dd HH:mm:00');
